## net.sourceforge.pmd.cpd
Class MatchAlgorithm

    java.lang.Object
      net.sourceforge.pmd.cpd.MatchAlgorithm

public class MatchAlgorithm
extends java.lang.Object

Constructor Summary
`MatchAlgorithm(java.util.Map sourceCode, Tokens tokens, int min)`
`MatchAlgorithm(java.util.Map sourceCode, Tokens tokens, int min, CPDListener listener)`

Method Summary
`void` `findMatches()`
`int` `getMinimumTileSize()`
`java.util.Iterator` `matches()`
`void` `setListener(CPDListener listener)`
`TokenEntry` `tokenAt(int offset, TokenEntry m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchAlgorithm

    public MatchAlgorithm(java.util.Map sourceCode,
                          Tokens tokens,
                          int min)

### MatchAlgorithm

    public MatchAlgorithm(java.util.Map sourceCode,
                          Tokens tokens,
                          int min,
                          CPDListener listener)

Method Detail

### setListener

    public void setListener(CPDListener listener)

### matches

    public java.util.Iterator matches()

### tokenAt

    public TokenEntry tokenAt(int offset,
                              TokenEntry m)

### getMinimumTileSize

    public int getMinimumTileSize()

### findMatches

    public void findMatches()

Copyright © 2002-2006 InfoEther. All Rights Reserved.